Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/BudgetItem/Temp/FrmBudgetItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/BudgetItem/Temp/FrmBudgetItem.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/BudgetItem/Temp/FrmBudgetItem.cs	(revision 352)
@@ -0,0 +1,449 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//* ------------------ 積算書予算書集計コードマスタメンテ画面 ------------------*
+//  2018/05/07  Ver1.0.0.0      Create Source           
+//
+//* ----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmBudgetItem : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+
+        #region 一覧グリッド表示順番
+        /// <summary>
+        /// 一覧グリッド表示順番
+        /// </summary>
+        private enum DispListCol
+        {
+            DispOrder = 0,
+            NameString,
+            DataType,
+            BlockCode,
+            GroupCode,
+            KeyCode,
+        }
+        #endregion
+
+        #region 編集グリッド表示順番
+        /// <summary>
+        /// 編集グリッド表示順番
+        /// </summary>
+        private enum DispEditCol
+        {
+            BlockCode = 0,
+            GroupCode,
+            KeyCode,
+            DispOrder,
+            NameString,
+        }
+        #endregion
+
+        #region 行データタイプ
+        /// <summary>
+        /// 行データタイプ
+        /// </summary>
+        private enum DataTypeDef
+        {
+            /// <summary>
+            /// 0:空白
+            /// </summary>
+            Empty = 0,
+            /// <summary>
+            /// 1:ブロックタイトル
+            /// </summary>
+            BlockTitle,
+            /// <summary>
+            /// 2:グループタイトル
+            /// </summary>
+            GroupTitle,
+            /// <summary>
+            /// 3:データ行
+            /// </summary>
+            DataRow,
+        }
+        #endregion
+
+        #region ブロックタイトル
+        /// <summary>
+        /// ブロックタイトル
+        /// </summary>
+        private enum BlockNo
+        {
+            /// <summary>
+            /// 0:空白
+            /// </summary>
+            Empty = 0,
+            /// <summary>
+            /// 1:工事費
+            /// </summary>
+            TotalCosts,
+            /// <summary>
+            /// 2:工事価格
+            /// </summary>
+            ConstructionPrice,
+            /// <summary>
+            /// 3:工事原価
+            /// </summary>
+            ConstructionCosts,
+            /// <summary>
+            /// 4:純工事費
+            /// </summary>
+            NetConstruction,
+            /// <summary>
+            /// 5:直接工事費
+            /// </summary>
+            DirectConstruction,
+        }
+        #endregion
+
+        #region グループタイトル
+        /// <summary>
+        /// グループタイトル
+        /// </summary>
+        private enum GroupNo
+        {
+            /// <summary>
+            /// 0:空白
+            /// </summary>
+            Empty = 0,
+            /// <summary>
+            /// 1:共通仮設費
+            /// </summary>
+            CommonTemp,
+            /// <summary>
+            /// 2:解体工事費
+            /// </summary>
+            DemolitionWork,
+            /// <summary>
+            /// 3:建築工事費
+            /// </summary>
+            ConstrWork,
+            /// <summary>
+            /// 4:電気設備工事費
+            /// </summary>
+            ElectricalWork,
+            /// <summary>
+            /// 5:機械設備工事費
+            /// </summary>
+            MachineryWork,
+            /// <summary>
+            /// 6:現場管理費
+            /// </summary>
+            FieldManage,
+            /// <summary>
+            /// 7:一般管理費
+            /// </summary>
+            UsualManage,
+            /// <summary>
+            /// 8:処分費等
+            /// </summary>
+            Dispose,
+        }
+        #endregion
+
+        #region ブロックタイトル
+        /// <summary>
+        /// ブロックタイトル
+        /// </summary>
+        private static string[] BlockTitle = new string[] { ""
+                                                            , "　工　　事　　費　　"
+                                                            , "　工　事　価　格　　"
+                                                            , "　工　事　原　価　　"
+                                                            , "　純　工　事　費　　"
+                                                            , "直　接　工　事　費　"};
+        #endregion
+
+        #region グループタイトル
+        /// <summary>
+        /// グループタイトル
+        /// </summary>
+        private static string[] GroupTitle = new string[] { ""
+                                                            , "共　通　仮　設　費"
+                                                            , "解　体　工　事　費"
+                                                            , "建　築　工　事　費"
+                                                            , "電 気 設 備 工 事 費"
+                                                            , "機 械 設 備 工 事 費"
+                                                            , "現　場　管　理　費"
+                                                            , "一　般　管　理　費"
+                                                            , "発 生 材 処 分 費 等"
+        };
+        #endregion
+
+        #region 新築・改修文字列
+        /// <summary>
+        /// 新築・改修文字列
+        /// </summary>
+        private static string[] strRepair = new string[] { "新築", "改修" };
+        #endregion
+        
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
+        /// <summary>
+        /// データ変更フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        public FrmBudgetItem()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmBudgetItem()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ×ボタン押下処理
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmBudgetItem_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタンクリック
+        /// <summary>
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 初期フォームロード
+        /// <summary>
+        /// 初期フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmBudgetItem_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 初期表示
+            DispGridData();
+
+        }
+        #endregion
+
+        #region フィールド値変更フラグ
+        /// <summary>
+        /// フィールド値変更フラグ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void valueChange(object sender, EventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region 登録ボタン押下
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                //データチェック
+                if (!DispFeildCheck()) return;
+
+                // データ登録
+                if (!DataEntry()) return;
+
+                CommonMotions.EntryEndMessage("予算書集計コードマスタ");
+
+                // 更新エリアクリア
+                ClearDispEditArea();
+
+                // 初期表示
+                DispGridData();
+
+                // フィールドロック
+                ControlLock(false);
+
+                // 変更フラグクリア
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 削除ボタン押下
+        /// <summary>
+        /// 削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+
+                // データ削除処理
+                //if (!RemoveData()) return;
+
+                CommonMotions.RemoveEndMessage("積算書予算書集計コードマスタ");
+
+                // 更新エリアクリア
+                ClearDispEditArea();
+
+                // 初期表示
+                DispGridData();
+
+                // フィールドロック
+                ControlLock(false);
+
+                // 変更フラグクリア
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region Entryキーでの移動処理
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmBudgetItem_KeyDown(object sender, KeyEventArgs e)
+        {
+            //Enterキーが押されているか確認
+            //AltかCtrlキーが押されている時は無視する
+            if ((e.KeyCode == Keys.Enter) && !e.Alt && !e.Control)
+            {
+                //あたかもTabキーが押されたかのようにする
+                //Shiftが押されている時は前のコントロールのフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region 一覧リストダブルクリック
+        /// <summary>
+        /// 一覧リストダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvList_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            // 編集データ表示処理
+            DispEditData();
+        }
+        #endregion
+
+        #region 行追加ボタン押下
+        /// <summary>
+        /// 行追加ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnAdd_Click(object sender, EventArgs e)
+        {
+            // 行データの追加
+            AddRowData();
+        }
+        #endregion
+
+        #region 行削除ボタン押下
+        /// <summary>
+        /// 行削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDel_Click(object sender, EventArgs e)
+        {
+            // 行データの削除
+            DelRowData();
+        }
+        #endregion
+    }
+}
\ No newline at end of file
